Packages - Feature Request #3069

Bug # 3096 (in progress): [libretools]: output .zst packages
Packages should be compressed with Zstandard
2021-07-28 09:58 PM - dario

Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

While packages directly inherited from Arch Linux are compressed with Zstandard, repositories specific to Parabola GNU/Linux-libre
such as Libre are still using xz.

History

#1 - 2021-09-19 10:35 PM - bill-auger
- Parent task set to #3096
- Priority changed from bug to wish

- Subject changed from Packages not directly inherited from Arch Linux should be compressed with Zstandard to Packages should be compressed
with Zstandard

- Project changed from Servers to Packages
#2 - 2021-09-19 10:44 PM - bill-auger

currently, libremakepkg outputs .zst packages for x86_64 (other arches are still .xz) - this seems to have had an (possibly?) unintended side-effect of
no longer producing x86_64 debug packages (other arches still have debug packages)
